## pimcommon 25.08.2

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")

project(pimcommon VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMAddQtDesignerPlugin)
include(ECMAddQch)
include(ECMCheckOutboundLicense)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
set(LIBKDEPIM_LIB_VERSION "6.5.2")
set(KTEXTADDONS_MIN_VERSION "1.6.0")
set(KIMAP_LIB_VERSION "6.5.2")
set(KLDAP_LIB_VERSION "6.5.2")

set(AKONADICONTACT_LIB_VERSION "6.5.2")
set(AKONADI_VERSION "6.5.2")
set(AKONADI_SEARCH_VERSION "6.5.2")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        DBus
        Network
        Xml
)

find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Purpose ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(
    DESIGNERPLUGIN
    ${BUILD_DESIGNERPLUGIN}
    "Build plugin for Qt Designer"
)

option(
    FORCE_DISABLE_AKONADI_SEARCH
    "Disable features and API that require akonadi-search, e.g. because xapian isn't available"
    OFF
)
if(UNIX)
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    REQUIRED
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
else()
    if(NOT FORCE_DISABLE_AKONADI_SEARCH)
        find_package(KPim6AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG)
        set_package_properties(
            KPim6AkonadiSearch
            PROPERTIES
                DESCRIPTION
                    "The Akonadi Search libraries"
                URL
                    "https://invent.kde.org/pim/akonadi-search"
                TYPE
                    OPTIONAL
                PURPOSE
                    "Provides search capabilities in KMail and Akonadi"
        )
    endif()
endif()

if(NOT KPim6AkonadiSearch_FOUND)
    set(FORCE_DISABLE_AKONADI_SEARCH TRUE)
endif()

set(DISABLE_AKONADI_SEARCH ${FORCE_DISABLE_AKONADI_SEARCH})
configure_file(config-akonadi-search.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/config-akonadi-search.h)

option(
    ENABLE_WARN_OUTDATED
    "Warn users if using an old version; if you long term supported distribution, you might want to set this to off"
    ON
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
if(OPTION_USE_PLASMA_ACTIVITIES)
    if(NOT WIN32 AND NOT APPLE)
        set(OPTION_USE_PLASMA_ACTIVITIES true)
    else()
        set(OPTION_USE_PLASMA_ACTIVITIES false)
    endif()
endif()
if(OPTION_USE_PLASMA_ACTIVITIES)
    if(NOT WIN32 AND NOT APPLE)
        set(PLASMAACTIVITIES_MIN_VERSION "6.1.0")
        find_package(PlasmaActivities ${PLASMAACTIVITIES_MIN_VERSION})
        set_package_properties(
            PlasmaActivities
            PROPERTIES
                DESCRIPTION
                    "Allow to compile with plasma activities"
                TYPE
                    OPTIONAL
        )
    endif()
endif()

add_subdirectory(src)
ecm_qt_install_logging_categories(
        EXPORT PIMCOMMON
        FILE pimcommon.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== src/pimcommon/needupdateversion/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(
    needupdateversionwidget_gui
    needupdateversionwidget_gui.cpp
    needupdateversionmainwidget.h
    needupdateversionmainwidget.cpp
)
target_link_libraries(needupdateversionwidget_gui KPim6::PimCommon)

=== src/pimcommon/whatsnew/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
macro(add_whatsnew_test _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        Qt::Widgets
        KPim6::PimCommon
    )
    set_target_properties(
        ${_name}
        PROPERTIES
            DISABLE_PRECOMPILE_HEADERS
                ON
    )
endmacro()

add_whatsnew_test(whatsnewdialogtest.cpp)
add_whatsnew_test(whatsnewwidgettest.cpp)
add_whatsnew_test(whatsnewmessagewidgettest.cpp)
add_whatsnew_test(whatsnewcomboboxwidgettest.cpp)
add_whatsnew_test(whatsnewinfotest.cpp)

=== debian/changelog ===
pimcommon (4:25.08.2-0ubuntu2) resolute; urgency=medium

  * No change rebuild for libplasmaactivities7.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 19:06:53 +0100

pimcommon (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:07 +0100

=== debian/control ===
Source: pimcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicontact-dev (>= 4:25.08.2~),
               libakonadisearch-dev (>= 4:25.08.2~),
               libkdepim-dev (>= 4:25.08.2~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6purpose-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.08.2~),
               libkldap-dev (>= 25.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libplasmaactivities-dev (>= 6.1.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Rules-Requires-Root: no

Package: libpimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libpimcommon-dev
Section: libdevel
Architecture: any
Depends: libakonadi-dev (>= 4:25.08.2~),
         libakonadicontact-dev (>= 4:25.08.2~),
         libkdepim-dev (>= 4:25.08.2~),
         libkf6config-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6kio-dev (>= 6.6.0~),
         libkimap-dev (>= 25.08.2~),
         libkpim6pimcommon6 (= ${binary:Version}),
         libkpim6pimcommonactivities6 (= ${binary:Version}),
         libkpim6pimcommonakonadi6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonactivities6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for Plasma Activities in KDE PIM
 This library provides the common parts used for Plasma Activities.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

## pimcommon 25.08.3

=== src/pimcommon/widgets/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
######
add_executable(testspellchecklineedit testspellchecklineedit.cpp)
ecm_mark_as_test(testspellchecklineedit)

target_link_libraries(
    testspellchecklineedit
    KPim6::PimCommon
    KF6::I18n
)
######
add_executable(
    customtoolswidgetng_gui
    customtoolswidgetng_gui.cpp
    customtoolswidgetng_gui.h
)
target_link_libraries(
    customtoolswidgetng_gui
    KPim6::PimCommon
    KF6::XmlGui
    KF6::I18n
)

=== debian/changelog ===
pimcommon (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 18:00:59 +0100

pimcommon (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:28 +0100

pimcommon (4:24.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Rebuild against libplasmaactivities7.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Oct 2025 07:52:05 +0200

pimcommon (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:55 +0100

=== debian/control ===
Source: pimcommon
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadisearch-dev (>= 4:25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6archive-dev (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6purpose-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkimap-dev (>= 25.08.3~),
               libkldap-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               libplasmaactivities-dev (>= 6.1.0~),
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pimcommon
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pimcommon.git
Rules-Requires-Root: no

Package: libpimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libpimcommon-dev
Section: libdevel
Architecture: any
Depends: libakonadi-dev (>= 4:25.08.3~),
         libakonadicontact-dev (>= 4:25.08.3~),
         libkdepim-dev (>= 4:25.08.3~),
         libkf6config-dev (>= 6.14.0~),
         libkf6contacts-dev (>= 6.14.0~),
         libkf6kio-dev (>= 6.14.0~),
         libkimap-dev (>= 25.08.3~),
         libkpim6pimcommon6 (= ${binary:Version}),
         libkpim6pimcommonactivities6 (= ${binary:Version}),
         libkpim6pimcommonakonadi6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.6.0~),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonactivities6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for Plasma Activities in KDE PIM
 This library provides the common parts used for Plasma Activities.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

## pimcommon 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.80")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -57,14 +58,14 @@
 )
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
-set(KIMAP_LIB_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
-
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
-set(AKONADI_SEARCH_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KIMAP_LIB_VERSION "6.5.80")
+set(KLDAP_LIB_VERSION "6.5.80")
+
+set(AKONADICONTACT_LIB_VERSION "6.5.80")
+set(AKONADI_VERSION "6.5.80")
+set(AKONADI_SEARCH_VERSION "6.5.80")
 
 find_package(
     Qt6
@@ -175,7 +176,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 find_package(KF6TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
@@ -204,6 +205,10 @@
     endif()
 endif()
 
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 add_subdirectory(src)
 ecm_qt_install_logging_categories(
         EXPORT PIMCOMMON

=== src/pimcommon/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/
    COMPONENT Devel
)

ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6PimCommonConfigVersion.cmake"
    SOVERSION 6
)

macro(add_resource_iface _kcfgFile _ifaceName _className)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    qt_add_dbus_interface(libpimcommon_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_fileName} ${_className}
    )
endmacro()

add_resource_iface(util/imapresource.kcfg org.kde.Akonadi.Imap.Settings imapresourcesettings)

add_library(KPim6PimCommon)
add_library(KPim6::PimCommon ALIAS KPim6PimCommon)
ecm_qt_declare_logging_category(KPim6PimCommon HEADER pimcommon_debug.h IDENTIFIER PIMCOMMON_LOG CATEGORY_NAME org.kde.pim.pimcommon
        DESCRIPTION "kdepim (pimcommon)"
        OLD_CATEGORY_NAMES log_pimcommon
        EXPORT PIMCOMMON
)

target_sources(
    KPim6PimCommon
    PRIVATE
        ${libpimcommon_SRCS}
        genericplugins/pluginutil.cpp
        genericplugins/genericpluginmanager.cpp
        genericplugins/genericplugin.cpp
        genericplugins/abstractgenericplugin.cpp
        genericplugins/abstractgenericplugininterface.cpp
        configureplugins/configurepluginslistwidget.cpp
        configureplugins/configurepluginswidget.cpp
        configureplugins/configureplugindialog.cpp
        templatewidgets/templatelistwidget.cpp
        templatewidgets/templateeditdialog.cpp
        templatewidgets/templatemanager.cpp
        widgets/renamefiledialog.cpp
        widgets/simplestringlisteditor.cpp
        widgets/customtreeview.cpp
        widgets/configureimmutablewidgetutils.cpp
        widgets/kactionmenuchangecase.cpp
        widgets/spellchecklineedit.cpp
        widgets/lineeditwithcompleterng.cpp
        widgets/customlogwidget.cpp
        customtools/customtoolsplugin.cpp
        customtools/customtoolspluginmanager.cpp
        customtools/customtoolswidgetng.cpp
        customtools/customtoolsviewinterface.cpp
        util/pimutil.cpp
        util/broadcaststatus.cpp
        shareserviceurl/shareserviceurlmanager.cpp
        network/networkmanager.cpp
        customtools/customtoolswidgetng.h
        customtools/customtoolsplugin.h
        customtools/customtoolspluginmanager.h
        customtools/customtoolsviewinterface.h
        configureplugins/configureplugindialog.h
        configureplugins/configurepluginswidget.h
        configureplugins/configurepluginslistwidget.h
        configureplugins/configurepluginstreewidgetdelegate.h
        configureplugins/configurepluginstreewidgetdelegate.cpp
        shareserviceurl/shareserviceurlmanager.h
        pimcommon_private_export.h
        network/networkmanager.h
        widgets/renamefiledialog.h
        widgets/spellchecklineedit.h
        widgets/customtreeview.h
        widgets/lineeditwithcompleterng.h
        widgets/simplestringlisteditor.h
        widgets/customlogwidget.h
        widgets/configureimmutablewidgetutils.h
        widgets/kactionmenuchangecase.h
        templatewidgets/templatemanager.h
        templatewidgets/templatelistwidget.h
        templatewidgets/templateeditdialog.h
        util/broadcaststatus.h
        util/pimutil.h
        genericplugins/genericplugin.h
        genericplugins/genericpluginmanager.h
        genericplugins/pluginutil.h
        genericplugins/abstractgenericplugininterface.h
        genericplugins/abstractgenericplugin.h
        autocorrection/widgets/lineeditwithautocorrection.h
        autocorrection/widgets/lineeditwithautocorrection.cpp
        widgets/purposemenumessagewidget.h
        widgets/purposemenumessagewidget.cpp
        widgets/purposemenuwidget.h
        widgets/purposemenuwidget.cpp
)

if(NOT HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT)
    target_sources(
        KPim6PimCommon
        PRIVATE
            whatsnew/whatsnewdialog.h
            whatsnew/whatsnewdialog.cpp
            whatsnew/whatsnewwidget.h
            whatsnew/whatsnewwidget.cpp
            whatsnew/whatsnewmessagewidget.h
            whatsnew/whatsnewmessagewidget.cpp
            whatsnew/whatsnewcomboboxwidget.h
            whatsnew/whatsnewcomboboxwidget.cpp
            whatsnew/whatsnewtranslationsbase.h
            whatsnew/whatsnewtranslationsbase.cpp
            whatsnew/whatsnewinfo.h
            whatsnew/whatsnewinfo.cpp
            verifynewversion/verifynewversionutils.cpp
            verifynewversion/verifynewversionutils.h
            verifynewversion/verifynewversionwidget.cpp
            verifynewversion/verifynewversionwidget.h
            verifynewversion/checknewversiondialog.cpp
            verifynewversion/checknewversiondialog.h
            verifynewversion/checknewversionwidget.cpp
            verifynewversion/checknewversionwidget.h
            needupdateversion/needupdateversionwidget.h
            needupdateversion/needupdateversionwidget.cpp
            needupdateversion/needupdateversionutils.h
            needupdateversion/needupdateversionutils.cpp
            needupdateversion/needupdatecheckexistingnewversionjob.cpp
            needupdateversion/needupdatecheckexistingnewversionjob.h
            needupdateversion/needupdateparsehtmljob.cpp
            needupdateversion/needupdateparsehtmljob.h
            needupdateversion/needupdateparsehtmlutil.cpp
            needupdateversion/needupdateparsehtmlutil.h
    )

    if(ENABLE_WARN_OUTDATED)
        target_compile_definitions(KPim6PimCommon PRIVATE ENABLE_WARN_OUTDATED=1)
    else()
        target_compile_definitions(KPim6PimCommon PRIVATE ENABLE_WARN_OUTDATED=0)
    endif()
endif()

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6PimCommon
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6PimCommon
    BASE_NAME pimcommon
    VERSION ${PIMCOMMON_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_link_libraries(
    KPim6PimCommon
    PUBLIC
        Qt::Gui
        Qt::Widgets
        Qt::DBus
        KF6::KIOCore
        KF6::WidgetsAddons
        KF6::TextCustomEditor
    PRIVATE
        Qt::Network
        KF6::I18n
        KF6::XmlGui
        KF6::KIOWidgets
        KF6::ItemViews
        KF6::NewStuffCore
        KF6::NewStuffWidgets
        KF6::Purpose
        KF6::PurposeWidgets
        KF6::Codecs
        KF6::ColorScheme
)
target_link_libraries(KPim6PimCommon PUBLIC KF6::TextAutoCorrectionWidgets)

target_include_directories(KPim6PimCommon INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/PimCommon/>")

target_include_directories(
    KPim6PimCommon
    PUBLIC
        "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>"
)

set_target_properties(
    KPim6PimCommon
    PROPERTIES
        VERSION
            ${PIMCOMMON_VERSION}
        SOVERSION
            ${PIMCOMMON_SOVERSION}
        EXPORT_NAME
            PimCommon
)

install(TARGETS KPim6PimCommon EXPORT KPim6PimCommonTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_TESTING)
    add_subdirectory(widgets/autotests)
    add_subdirectory(shareserviceurl/autotests)
    add_subdirectory(widgets/tests)
    add_subdirectory(customtools/autotests)
    add_subdirectory(autotests)
    add_subdirectory(configureplugins/autotests)
    add_subdirectory(genericplugins/autotests)
    add_subdirectory(autocorrection/autotests)
    add_subdirectory(autocorrection/tests)
    if(NOT HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT)
        add_subdirectory(needupdateversion/tests)
        add_subdirectory(needupdateversion/autotests)
        add_subdirectory(whatsnew/autotests)
    endif()
endif()

ecm_generate_headers(PimCommon_CamelCasegenericplugins_HEADERS
    HEADER_NAMES
    PluginUtil
    GenericPluginManager
    GenericPlugin
    AbstractGenericPlugin
    AbstractGenericPluginInterface
    REQUIRED_HEADERS PimCommon_genericplugins_HEADERS
    PREFIX PimCommon
    RELATIVE genericplugins
)

ecm_generate_headers(PimCommon_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    LineEditWithAutoCorrection
    REQUIRED_HEADERS PimCommon_autocorrectionwidgets_HEADERS
    PREFIX PimCommon
    RELATIVE autocorrection/widgets/
)
if(NOT HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT)
    ecm_generate_headers(PimCommon_Camelcaseneedupdateversionwidgets_HEADERS
        HEADER_NAMES
        NeedUpdateVersionUtils
        NeedUpdateVersionWidget
        NeedUpdateParseHtmlJob
        NeedUpdateCheckExistingNewVersionJob
        NeedUpdateParseHtmlUtil
        REQUIRED_HEADERS PimCommon_needupdateversionwidgets_HEADERS
        PREFIX PimCommon
        RELATIVE needupdateversion
    )

    ecm_generate_headers(PimCommon_Camelverifynewversion_HEADERS
        HEADER_NAMES
        VerifyNewVersionWidget
        REQUIRED_HEADERS PimCommon_verifynewversion_HEADERS
        PREFIX PimCommon
        RELATIVE verifynewversion
    )
    ecm_generate_headers(PimCommon_Camelcasewhatsnew_HEADERS
        HEADER_NAMES
        WhatsNewComboBoxWidget
        WhatsNewDialog
        WhatsNewInfo
        WhatsNewTranslationsBase
        WhatsNewMessageWidget
        REQUIRED_HEADERS PimCommon_whatsnew_HEADERS
        PREFIX PimCommon
        RELATIVE whatsnew
    )
endif()
ecm_generate_headers(PimCommon_CamelCasenetworkmanager_HEADERS
    HEADER_NAMES
    NetworkManager
    REQUIRED_HEADERS PimCommon_networkmanager_HEADERS
    PREFIX PimCommon
    RELATIVE network
)

ecm_generate_headers(PimCommon_CamelCase_HEADERS
    HEADER_NAMES
    PimUtil
    BroadcastStatus
    REQUIRED_HEADERS PimCommon_HEADERS
    PREFIX PimCommon
    RELATIVE util
)

ecm_generate_headers(PimCommon_Camelcaseshareserviceurl_HEADERS
    HEADER_NAMES
    ShareServiceUrlManager
    REQUIRED_HEADERS PimCommon_shareserviceurl_HEADERS
    PREFIX PimCommon
    RELATIVE shareserviceurl
)

ecm_generate_headers(PimCommon_Camelcasecustomtools_HEADERS
    HEADER_NAMES
    CustomToolsWidgetng
    CustomToolsPlugin
    CustomToolsViewInterface
    CustomToolsPluginManager
    REQUIRED_HEADERS PimCommon_customtools_HEADERS
    PREFIX PimCommon
    RELATIVE customtools
)

ecm_generate_headers(PimCommon_Camelcasetemplatelist_HEADERS
    HEADER_NAMES
    TemplateListWidget
    TemplateManager
    REQUIRED_HEADERS PimCommon_templatelist_HEADERS
    PREFIX PimCommon
    RELATIVE templatewidgets
)

ecm_generate_headers(PimCommon_Camelcasewidgets_HEADERS
    HEADER_NAMES
    CustomTreeView
    SpellCheckLineEdit
    ConfigureImmutableWidgetUtils
    RenameFileDialog
    SimpleStringListEditor
    KActionMenuChangeCase
    LineEditWithCompleterNg
    CustomLogWidget
    PurposeMenuWidget
    PurposeMenuMessageWidget
    REQUIRED_HEADERS PimCommon_widgets_HEADERS
    PREFIX PimCommon
    RELATIVE widgets
)

ecm_generate_headers(PimCommon_Camelcaseconfigureplugins_HEADERS
    HEADER_NAMES
    ConfigurePluginsListWidget
    ConfigurePluginsWidget
    ConfigurePluginDialog
    ConfigurePluginsTreeWidgetDelegate
    REQUIRED_HEADERS PimCommon_configureplugins_HEADERS
    PREFIX PimCommon
    RELATIVE configureplugins
)

install(
    FILES
        ${PimCommon_Camelcaseconfigureplugins_HEADERS}
        ${PimCommon_CamelCasegenericplugins_HEADERS}
        ${PimCommon_Camelcaseautocorrectionwidgets_HEADERS}
        ${PimCommon_CamelCasenetworkmanager_HEADERS}
        ${PimCommon_Camelcaseneedupdateversionwidgets_HEADERS}
        ${PimCommon_Camelverifynewversion_HEADERS}
        ${PimCommon_CamelCase_HEADERS}
        ${PimCommon_CamelCasejob_HEADERS}
        ${PimCommon_Camelcasecustomtools_HEADERS}
        ${PimCommon_Camelcasemanagerserversidesubscription_HEADERS}
        ${PimCommon_Camelcasemigrate_HEADERS}
        ${PimCommon_Camelcaseplaintexteditor_HEADERS}

=== src/pimcommon/autocorrection/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(add_pimcommon_autocorrect_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(
        ${_name}
        ${_test}
        ${_name}.h
    )
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(pimcommon-autocorrection-${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        KPim6::PimCommon
    )
    target_link_libraries(${_name} KF6::TextAutoCorrectionWidgets)
endmacro()

add_pimcommon_autocorrect_unittest(lineeditwithautocorrectiontest.cpp)

=== src/pimcommon/autocorrection/tests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_executable(
    autocorrection_gui
    autocorrection_gui.cpp
    autocorrection_gui.h
)
target_link_libraries(
    autocorrection_gui
    KPim6::PimCommon
    KF6::I18n
)

target_link_libraries(autocorrection_gui KF6::TextAutoCorrectionWidgets)

=== debian/changelog ===
pimcommon (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:04:13 +0000

pimcommon (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:30:22 +0000

=== debian/control ===
Source: pimcommon
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               libakonadi-dev (>= 4:25.11.80~),
               libakonadicontact-dev (>= 4:25.11.80~),
               libakonadisearch-dev (>= 4:25.11.80~),
               libkdepim-dev (>= 4:25.11.80~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6purpose-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.11.80~),
               libkldap-dev (>= 25.11.80~),
               libktextaddons-dev (>= 1.5.4~),
               libplasmaactivities-dev (>= 6.1.0~),
               qt6-base-dev (>= 6.7.0~),
               xauth,
               xsltproc,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pimcommon
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Rules-Requires-Root: no

Package: libpimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libpimcommon-dev
Section: libdevel
Architecture: any
Depends: libakonadi-dev (>= 4:25.11.80~),
         libakonadicontact-dev (>= 4:25.11.80~),
         libkdepim-dev (>= 4:25.11.80~),
         libkf6config-dev (>= 6.6.0~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6kio-dev (>= 6.6.0~),
         libkimap-dev (>= 25.11.80~),
         libkpim6pimcommon6 (= ${binary:Version}),
         libkpim6pimcommonactivities6 (= ${binary:Version}),
         libkpim6pimcommonakonadi6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkpim6pimcommon6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonactivities6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for Plasma Activities in KDE PIM
 This library provides the common parts used for Plasma Activities.
 .
 This package provides the shared libraries.

Package: libkpim6pimcommonakonadi6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libpimcommon-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

## pimcommon 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
@@ -58,14 +58,14 @@
 )
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.5.80")
+set(LIBKDEPIM_LIB_VERSION "6.5.90")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
-set(KIMAP_LIB_VERSION "6.5.80")
-set(KLDAP_LIB_VERSION "6.5.80")
-
-set(AKONADICONTACT_LIB_VERSION "6.5.80")
-set(AKONADI_VERSION "6.5.80")
-set(AKONADI_SEARCH_VERSION "6.5.80")
+set(KIMAP_LIB_VERSION "6.5.90")
+set(KLDAP_LIB_VERSION "6.5.90")
+
+set(AKONADICONTACT_LIB_VERSION "6.5.90")
+set(AKONADI_VERSION "6.5.90")
+set(AKONADI_SEARCH_VERSION "6.5.90")
 
 find_package(
     Qt6

=== debian/changelog ===
pimcommon (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:18:36 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.80~),
-               libakonadicontact-dev (>= 4:25.11.80~),
-               libakonadisearch-dev (>= 4:25.11.80~),
-               libkdepim-dev (>= 4:25.11.80~),
+               libakonadi-dev (>= 4:25.11.90~),
+               libakonadicontact-dev (>= 4:25.11.90~),
+               libakonadisearch-dev (>= 4:25.11.90~),
+               libkdepim-dev (>= 4:25.11.90~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -27,8 +27,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.11.80~),
-               libkldap-dev (>= 25.11.80~),
+               libkimap-dev (>= 25.11.90~),
+               libkldap-dev (>= 25.11.90~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -54,13 +54,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:25.11.80~),
-         libakonadicontact-dev (>= 4:25.11.80~),
-         libkdepim-dev (>= 4:25.11.80~),
+Depends: libakonadi-dev (>= 4:25.11.90~),
+         libakonadicontact-dev (>= 4:25.11.90~),
+         libkdepim-dev (>= 4:25.11.90~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 25.11.80~),
+         libkimap-dev (>= 25.11.90~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),

## pimcommon 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 
 project(pimcommon VERSION ${PIM_VERSION})
 
@@ -58,14 +58,14 @@
 )
 
 set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
-set(LIBKDEPIM_LIB_VERSION "6.5.90")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
 set(KTEXTADDONS_MIN_VERSION "1.8.0")
-set(KIMAP_LIB_VERSION "6.5.90")
-set(KLDAP_LIB_VERSION "6.5.90")
-
-set(AKONADICONTACT_LIB_VERSION "6.5.90")
-set(AKONADI_VERSION "6.5.90")
-set(AKONADI_SEARCH_VERSION "6.5.90")
+set(KIMAP_LIB_VERSION "6.6.0")
+set(KLDAP_LIB_VERSION "6.6.0")
+
+set(AKONADICONTACT_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
+set(AKONADI_SEARCH_VERSION "6.6.0")
 
 find_package(
     Qt6

=== debian/changelog ===
pimcommon (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:38:43 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libakonadisearch-dev (>= 4:25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libakonadisearch-dev (>= 4:25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6archive-dev (>= 6.6.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -27,8 +27,8 @@
                libkf6service-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.11.90~),
-               libkldap-dev (>= 25.11.90~),
+               libkimap-dev (>= 25.12.0~),
+               libkldap-dev (>= 25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                libplasmaactivities-dev (>= 6.1.0~),
                qt6-base-dev (>= 6.7.0~),
@@ -54,13 +54,13 @@
 Package: libpimcommon-dev
 Section: libdevel
 Architecture: any
-Depends: libakonadi-dev (>= 4:25.11.90~),
-         libakonadicontact-dev (>= 4:25.11.90~),
-         libkdepim-dev (>= 4:25.11.90~),
+Depends: libakonadi-dev (>= 4:25.12.0~),
+         libakonadicontact-dev (>= 4:25.12.0~),
+         libkdepim-dev (>= 4:25.12.0~),
          libkf6config-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6kio-dev (>= 6.6.0~),
-         libkimap-dev (>= 25.11.90~),
+         libkimap-dev (>= 25.12.0~),
          libkpim6pimcommon6 (= ${binary:Version}),
          libkpim6pimcommonactivities6 (= ${binary:Version}),
          libkpim6pimcommonakonadi6 (= ${binary:Version}),
